## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global original_name toml-adapt
%global pretty_name toml_adapt

%global _description %{expand:
Working with TOML files has become inevitable during package maintenance
across different ecosystems. Often, package maintainers must change dependency
versions or add/remove dependencies when building their packages due to
inconsistent base systems. This issue can be solved either by applying patches
or using sed commands, but that can be time-consuming and frustrating.
This project provides a very simple yet user-friendly command-line interface
to make this process easier.}

Name:           python-%{original_name}
Version:        0.3.4
Release:        %autorelease
Summary:        A simple CLI for manipulating TOML files

License:        MIT
URL:            https://github.com/firefly-cpp/%{original_name}
Source0:        %{url}/archive/%{version}/%{original_name}-%{version}.tar.gz

BuildArch:      noarch

%description %_description

%package -n python3-%{original_name}
Summary:        %{summary}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%description -n python3-%{original_name} %_description

%package doc
Summary:        Documentation for %{pretty_name}

%description doc
Documentation for %{pretty_name}.

%prep
%autosetup -n %{original_name}-%{version}
rm -fv poetry.lock

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pretty_name}

install -D -t '%{buildroot}%{_mandir}/man1' -m 0644 %{original_name}.1

%check
%pyproject_check_import %{pretty_name}

%if %{with tests}
%pytest
%endif

%files -n python3-%{original_name} -f %{pyproject_files}
%{_bindir}/%{original_name}
%license LICENSE
%doc README.md AUTHORS.rst CODE_OF_CONDUCT.md CHANGELOG.md CITATION.cff
%{_mandir}/man1/%{original_name}.1*

%files doc
%license LICENSE
%doc README.md AUTHORS.rst CODE_OF_CONDUCT.md CHANGELOG.md CITATION.cff

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.3.4-3
- Rebuilt for Python 3.14

* Sun Apr 27 2025 Iztok Fister Jr. <iztok@iztok.dev> - 0.3.4-2
- Switch to autorelease, add -doc subpackage and fix description

* Tue Feb 04 2025 Iztok Fister Jr. <iztok@iztok.dev> - 0.3.4-1
- Update to 0.3.4

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.3.3-2
- Rebuilt for Python 3.13

* Sun Mar 24 2024 Iztok Fister Jr. <iztok@iztok.xyz> - 0.3.3-1
- Update to 0.3.3

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Iztok Fister Jr. <iztok@iztok.xyz> - 0.3.0-1
- Update to 0.3.0

* Mon Nov 13 2023 Iztok Fister Jr <iztok@iztok.xyz> - 0.2.12-1
- Update to 0.2.12

* Mon Nov 06 2023 Iztok Fister Jr <iztok@iztok.xyz> - 0.2.11-4
- Confirm License is SPDX MIT

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.2.11-2
- Rebuilt for Python 3.12

* Fri Feb 24 2023 Iztok Fister Jr <iztok@iztok-jr-fister.eu> - 0.2.11-1
- Update to 0.2.11

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 02 2022 Iztok Fister Jr <iztok@iztok-jr-fister.eu> - 0.2.10-1
- Upgrade to 0.2.10

* Sun Oct 09 2022 Iztok Fister Jr <iztok@iztok-jr-fister.eu> - 0.2.9-1
- Upgrade to 0.2.9

* Sun Sep 11 2022 Iztok Fister Jr <iztok@iztok-jr-fister.eu> - 0.2.8-1
- Update to the latest upstream's release

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.2.7-2
- Rebuilt for Python 3.11

* Thu May 26 2022 Iztok Fister Jr <iztok@iztok-jr-fister.eu> - 0.2.7-1
- Update to the latest release

* Mon May 23 2022 Iztok Fister Jr <iztok@iztok-jr-fister.eu> - 0.2.6-1
- Update to the latest release

* Mon Feb 28 2022 iztokf <iztok@iztok-jr-fister.eu> - 0.2.5-1
- New upstream's release -- 0.2.5

* Sat Jan 29 2022 iztokf <iztok@iztok-jr-fister.eu> - 0.2.4-1
- New release + enable unit tests

* Tue Jan 25 2022 iztokf <iztok@iztok-jr-fister.eu> - 0.2.3-1
- Update to the latest release

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 16 2022 firefly-cpp <iztok@iztok-jr-fister.eu> - 0.2.1-2
- Update README file

* Fri Jan 14 2022 firefly-cpp <iztok@iztok-jr-fister.eu> - 0.2.1-1
- Update to the latest release - 0.2.1

* Fri Jan 14 2022 iztokf <iztok@iztok-jr-fister.eu> - 0.2.0-4
- Improve description of package

* Thu Jan 13 2022 iztokf <iztok@iztok-jr-fister.eu> - 0.2.0-3
- Update doc section

* Thu Jan 13 2022 iztokf <iztok@iztok-jr-fister.eu> - 0.2.0-2
- Enable smoke tests

* Thu Jan 13 2022 firefly-cpp <iztok@iztok-jr-fister.eu> - 0.2.0-1
- New upstream's release

* Wed Oct 27 2021 iztokf <iztok@iztok-jr-fister.eu> - 0.1.6-1
- New version of software

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 15 2021 iztokf <iztok@iztok-jr-fister.eu> - 0.1.5-1
- New version of package

* Wed Jun 30 2021 iztokf <iztok@iztok-jr-fister.eu> - 0.1.4-1
- New upstream's release

* Tue Jun 22 2021 iztokf <iztok@iztok-jr-fister.eu> - 0.1.3-1
- Update to the new release

* Wed Jun 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.2-2
- Fix permissions on installed man page

* Wed Jun 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.2-1
- Update to 0.1.2 (fixes man page installed in %%{python3_sitelib})

* Tue Jun 08 2021 iztokf <iztok@iztok-jr-fister.eu> - 0.1.1-2
- Corrected names

* Tue Jun 08 2021 iztokf <iztok@iztok-jr-fister.eu> - 0.1.1-1
- New version of software

* Mon Jun 07 2021 Python Maint <python-maint@redhat.com> - 0.1.0-2
- Rebuilt for Python 3.10

* Mon Jun 07 2021 iztokf <iztok@iztok-jr-fister.eu> - 0.1.0-1
- Initial import (#1966766).
## END: Generated by rpmautospec
